Loading...
Searching...
No Matches
spa_loop_control_hooks Struct Reference
SPA » Support » Loop

Control hooks. More...

`#include <spa/support/loop.h>`

## Data Fields

uint32_t | version
void(* | before )(void *data)
| Executed right before waiting for events.
void(* | after )(void *data)
| Executed right after waiting for events.

## Detailed Description

Control hooks.

These hooks can't be removed from their callbacks and must be removed from a safe place (when the loop is not running or when it is locked).

## Field Documentation

## version

uint32_t spa_loop_control_hooks::version

## before

void(* spa_loop_control_hooks::before) (void *data)

Executed right before waiting for events.

It is typically used to release locks or integrate other fds into the loop.

## after

void(* spa_loop_control_hooks::after) (void *data)

Executed right after waiting for events.

It is typically used to reacquire locks or integrate other fds into the loop.

The documentation for this struct was generated from the following file:

- spa/support/loop.h